ubuntu one does not connect

Bug #487123 reported by mc-laptop on 2009-11-23
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Low
Ubuntu One Client Engineering team
ubuntuone-client (Ubuntu)
Low
Ubuntu One Client Engineering team

Bug Description

Binary package hint: ubuntuone-client

Unable to load page

Problem occurred while loading the URL http://localhost:40795/?nonce=7171669&oauth_token=M8Qtk1W1sjdrPSJJKfNm&oauth_verifier=ffa3e3ef-6110-4360-bf02-2f1069401b41&return=https://one.ubuntu.com

Cannot connect to destination

ProblemType: Bug
.home.mc..cache.ubuntuone.log.syncdaemon.exceptions.log:

.home.mc..config.ubuntuone.ubuntuone.client.conf:
 [ubuntuone]
 connected = True
 connect = 0
 show_applet = 1
 bookmarked = True
Architecture: i386
CheckboxSubmission: be0913041ff5cf2ab0cd84df3034eb83
CheckboxSystem: d00f84de8a555815fa1c4660280da308
Date: Mon Nov 23 15:39:25 2009
DistroRelease: Ubuntu 9.10
Package: ubuntuone-client 1.0.2-0ubuntu2
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-15.50-generic
SourcePackage: ubuntuone-client
Uname: Linux 2.6.31-15-generic i686

mc-laptop (mc-artfacts) wrote :
Joshua Hoover (joshuahoover) wrote :

Hi, I'm sorry to hear Ubuntu One isn't working properly for you. Can you tell me which web browser you're using (Firefox, Chromium, Opera, etc.) and if this happens every time you try to open Applications->Internet->Ubuntu One and are prompted to add your computer? Thank you, Joshua

Changed in ubuntuone-client (Ubuntu):
status: New → Incomplete

Dear Joshua,

thanks for writing to me. Mostly I am using Epiphany but also Firefox.

I can not connect from the Ubuntu One app. and not from the folder
button.

Dropbox works without problem.

Best regards

Marek

On Tue, 2009-11-24 at 17:07 +0000, Joshua Hoover wrote:
> Hi, I'm sorry to hear Ubuntu One isn't working properly for you. Can you
> tell me which web browser you're using (Firefox, Chromium, Opera, etc.)
> and if this happens every time you try to open
> Applications->Internet->Ubuntu One and are prompted to add your
> computer? Thank you, Joshua
>
> ** Changed in: ubuntuone-client (Ubuntu)
> Status: New => Incomplete
>

Goyo (goyodiaz) wrote :

I'm having the same problem using Epiphany and Abrowser. I'm changing the status to confirmed.

Changed in ubuntuone-client (Ubuntu):
status: Incomplete → Confirmed
Guillermo Gonzalez (verterok) wrote :

Hi Goyo, mc-laptop,

Are you behind a proxy server?

Thanks

Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Incomplete
Goyo (goyodiaz) wrote :

I'm not behind a proxy.

I could fix this by following an advice I read somewhere. I purged ubuntune-client and ubuntuone-client-gnome and deleted all ubuntuone files and folders I found in my home directory (this included hidden files and folders and ~/Ubuntu One), reboot and installed ubuntuone-client-gnome again --I tried before just deleting files and folders but it didn't work.

After that, the first time I opened ubuntuone my browser showed something like "An error has occurred in Lainchpad, we'll try to fix it" (sorry I didn't make a copy of the message).

Then I closed ubuntuone and opened it for a second time and the browser showed my name and an invitation to sign in. But after pressing the sign in button the error message appeared again.

The third time, after pressing the sign in button the "Add this computer to Ubuntu One" page appeared and this time I could do it whithout trouble.

I didn't tested the service yet but at least I could add my computer and I can connect and disconnect so this is fixed for me and I hope this can help others, buy I can't figure out what went wrong.

mc-laptop (mc-artfacts) wrote :

Dear Goyo,

it's still a mess. After logging in it just won't connect:

Unable to load page

Problem occurred while loading the URL
http://localhost:54780/?nonce=6081781&oauth_token=bhpbRJZPDtXSvtXnTd5T&oauth_verifier=5191a56d-2bf9-4533-9a68-d03fbd9f785d&return=https://one.ubuntu.com

Cannot connect to destination

I've installed Dropbox now. That's much better.

Thanks anyway.

Marek

On Wed, 2010-01-06 at 18:18 +0000, Goyo wrote:
> I'm not behind a proxy.
>
> I could fix this by following an advice I read somewhere. I purged
> ubuntune-client and ubuntuone-client-gnome and deleted all ubuntuone
> files and folders I found in my home directory (this included hidden
> files and folders and ~/Ubuntu One), reboot and installed ubuntuone-
> client-gnome again --I tried before just deleting files and folders but
> it didn't work.
>
> After that, the first time I opened ubuntuone my browser showed
> something like "An error has occurred in Lainchpad, we'll try to fix it"
> (sorry I didn't make a copy of the message).
>
> Then I closed ubuntuone and opened it for a second time and the browser
> showed my name and an invitation to sign in. But after pressing the sign
> in button the error message appeared again.
>
> The third time, after pressing the sign in button the "Add this computer
> to Ubuntu One" page appeared and this time I could do it whithout
> trouble.
>
> I didn't tested the service yet but at least I could add my computer and
> I can connect and disconnect so this is fixed for me and I hope this can
> help others, buy I can't figure out what went wrong.
>

Changed in ubuntuone-client (Ubuntu):
assignee: nobody → Guillermo Gonzalez (verterok)
importance: Undecided → Low
Joshua Hoover (joshuahoover) wrote :

To all who have problems with the browser not completing the "add your computer" process (problem loading the localhost error), are you using Firefox or a different browser? Can you test the process using Firefox if you're not using Firefox? You can do this by temporarily changing your preferred browser:

1. Open System->Preferences->Preferred Applications
2. Select "Firefox" from the Web Browser pull down menu
3. Click the "Close" button
4. Open Applications->Internet->Ubuntu One

Thanks!

Joshua

Changed in ubuntuone-client (Ubuntu):
assignee: Guillermo Gonzalez (verterok) → nobody
Goyo (goyodiaz) wrote :

Joshua, this does not look like a browser issue to me. I tried Abrowser and it failed. Unfortunately I can't test anymore since this was fixed for me after deleting some files (see comment #6) but I was using Epiphany the first time it worked and I think Abrowser is almost identical to Firefox --they both depend on firefox-3.5.

Changed in ubuntuone-client (Ubuntu):
status: Incomplete → Confirmed
assignee: nobody → Ubuntu One Desktop+ team (uone-desktop)
tags: added: desktop+
Changed in ubuntuone-client:
importance: Undecided → Low
status: New → Confirmed
assignee: nobody → Ubuntu One Desktop+ team (uone-desktop)
Sergey (gluk-02) wrote :

I've got the same problem.
I could solve it by simply killing 'ubuntuone-login' process. Then I just ran 'ubuntuone-preferences' again and clicked 'Support options'.
This worked for me. I hope this will help others.

gl0w (rizenb) wrote :

I can confirm that killing the process resolved the issue for me on Ubuntu 10.04.

Killing the process did not resolve the issue for me. Fresh install of Ubuntu 10.04

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions